## kvirc 4.1.1~svn5829

=== CMakeLists.txt ===
###############################################################################
##
## KVIrc CMake global configuration file.
##
###############################################################################

###############################################################################
# GLOBAL DEFS
###############################################################################

# Name of the project
PROJECT(kvirc)

# Set conventional loops
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

if(POLICY CMP0017)
	cmake_policy(SET CMP0017 NEW)
endif(POLICY CMP0017)

# Check modules first in local dir
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Some vars
SET(PACKAGE "kvirc")
SET(NICENAME "KVIrc")
SET(VERSION_MAJOR "4")
SET(VERSION_BRANCH "4.1")
SET(VERSION_RELEASE "4.1.1")

STRING(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

SET(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
SET(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
SET(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
SET(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
SET(CMAKE_KVIRC_BUILD_FLAGS)
SET(CMAKE_KVIRC_BUILD_SYSTEM ${CMAKE_SYSTEM})
SET(CMAKE_KVIRC_BUILD_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
SET(CMAKE_KVIRC_BUILD_SYSTEM_VERSION ${CMAKE_SYSTEM_VERSION})
SET(CMAKE_KVIRC_BUILD_CPU ${CMAKE_SYSTEM_PROCESSOR})
SET(CMAKE_KVIRC_BUILD_COMPILER ${CMAKE_CXX_COMPILER})
SET(CMAKE_KVIRC_BUILD_COMPILER_FLAGS ${CMAKE_CXX_FLAGS})

# Suffix for Linux
SET(LIB_SUFFIX
	CACHE STRING "Define suffix of directory name (32/64)"
)

# Get revision number from SVN
SET(MANUAL_REVISION
	CACHE STRING "Manually set the revision number"
)

STRING(COMPARE EQUAL "${MANUAL_REVISION}" "" MANUAL_REVISION_UNSET)
IF(MANUAL_REVISION_UNSET)
	# No manually forced revision number, gotta guess one now
	IF(EXISTS "${CMAKE_SOURCE_DIR}/.svn" AND IS_DIRECTORY "${CMAKE_SOURCE_DIR}/.svn")
		# We're in a svn structure, let's get the revision number using subversion
		FIND_PACKAGE(Subversion)
		IF(Subversion_FOUND)
			MESSAGE(STATUS "Found Subversion ${Subversion_VERSION_SVN}")
			Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KVIrc)
			IF(DEFINED KVIrc_WC_REVISION)
				SET(CMAKE_KVIRC_BUILD_REVISION ${KVIrc_WC_REVISION})
				MESSAGE(STATUS "Current revision is ${KVIrc_WC_REVISION}")
			ELSE()
				MESSAGE(STATUS "No Subversion working copy found")
			ENDIF()
		ELSE()
			MESSAGE("Subversion not found. No revision number will be used")
		ENDIF()
	ELSE()
		IF(EXISTS "${CMAKE_SOURCE_DIR}/.svnrevision")
			# We're in a release package created using makedist.sh, so we should include a .svnrevision file
			FILE(READ "${CMAKE_SOURCE_DIR}/.svnrevision" DISTSVNREVISION)
			STRING(STRIP "${DISTSVNREVISION}" CMAKE_KVIRC_BUILD_REVISION)
			MESSAGE(STATUS "SVN revision is ${CMAKE_KVIRC_BUILD_REVISION}")
		ELSE()
			MESSAGE(STATUS "No revision number found.")
		ENDIF()
	ENDIF()

ELSE()
	# Manually forced revision number
	SET(CMAKE_KVIRC_BUILD_REVISION ${MANUAL_REVISION})
	MESSAGE(STATUS "Current revision has been manually set to ${MANUAL_REVISION}")
ENDIF()


# Simplify eventual mixed revisions and strange tweaks with letters in it
STRING(REGEX REPLACE ":[0-9a-zA-Z]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")
STRING(REGEX REPLACE "[^0-9]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")


# Set man dir
SET(MANDIR
	CACHE STRING "Define man directory starting from $CMAKE_INSTALL_PREFIX"
)

STRING(COMPARE EQUAL "${MANDIR}" "" MANDIR_UNSET)
IF(MANDIR_UNSET)
	SET(MANDIR_PREFIX "share/man")
ELSE()
	SET(MANDIR_PREFIX "man")
ENDIF()
LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS MANDIR=${MANDIR_PREFIX})

# Get the build date
TRY_RUN(TEST_DID_RUN TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/datetime.cpp" OUTPUT_VARIABLE TEST_BUILD_DATE)
IF(TEST_DID_COMPILE)
	STRING(REGEX MATCH "[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]:[0-9][0-9]:[0-9][0-9] [A-Z][A-Z][A-Z]" CMAKE_KVIRC_BUILD_DATE "${TEST_BUILD_DATE}")
ELSE()
	SET(CMAKE_KVIRC_BUILD_DATE "ERROR")
ENDIF()

# Set var to link with, for later use
SET(LIBS)
SET(ADDITIONAL_LINK_FLAGS)

# Install path
IF(UNIX)
	IF(APPLE)
		# MacOS X
		# Due to the special bundle structure ignore
		# the prefix eventually set by the user.
		SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/KVIrc.app)
	ELSE()
		# Linux / BSD
		IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
			#fix package build
			IF(PREFIX)
				SET(CMAKE_INSTALL_PREFIX ${PREFIX})
			ELSE()
				SET(CMAKE_INSTALL_PREFIX /usr/local)
			ENDIF()
		ENDIF()
	ENDIF()
ELSEIF(WIN32)
	SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/release)
ENDIF()
LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX})


###############################################################################
#
# Release type
#
###############################################################################
OPTION(WANT_ENV_FLAGS "Don't try to set CMAKE_C(XX)_FLAGS; instead, use the ones from environment variables" OFF)

OPTION(WANT_DEBUG "Compile debug symbols" OFF)
IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo OR DEBUG OR WITH_DEBUG)
	SET(WANT_DEBUG ON CACHE BOOL "Compile debug symbols" FORCE)
	SET(COMPILE_DEBUG_MODE 1)
ENDIF()

OPTION(WANT_STRIP "Strip binaries (discard symbols from object files)" OFF)

IF(WANT_ENV_FLAGS)
	SET(CMAKE_BUILD_TYPE Undefined)
	SET(CMAKE_STATUS_DEBUG_SUPPORT "Environment-driven")
ELSE()
	IF(WANT_DEBUG)
		SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
		SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		SET(CMAKE_STATUS_DEBUG_SUPPORT "Yes")
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb format of debug symbols
			SET(CMAKE_CXX_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" CXX_HAS_VH_FLAG)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(NOT MINGW)
				IF(CXX_HAS_VH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
				ENDIF()
				IF(CXX_HAS_VIH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				ENDIF()
			ENDIF()
		ELSE()
			IF(MSVC)
				#CMake default options are conflicting for some modules, such as perl
				STRING(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG_INIT ${CMAKE_CXX_FLAGS_DEBUG_INIT})
				STRING(REPLACE "/RTC1" "" CMAKE_C_FLAGS_DEBUG_INIT ${CMAKE_C_FLAGS_DEBUG_INIT})
				STRING(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG ${CMAKE_CXX_FLAGS_DEBUG})
				STRING(REPLACE "/RTC1" "" CMAKE_C_FLAGS_DEBUG ${CMAKE_C_FLAGS_DEBUG})
				#this is the equivalent of -O0 -g according to msdn
				SET(CMAKE_CXX_FLAGS "/Od /Zi")
				SET(CMAKE_C_FLAGS "/Od /Zi")
			ELSE()
				SET(CMAKE_CXX_FLAGS "-O0 -g")
				SET(CMAKE_C_FLAGS "-O0 -g")
			ENDIF()
		ENDIF()
	ELSE()
		IF(WANT_STRIP)
			FIND_PROGRAM(STRIP_EXECUTABLE NAMES strip)
			IF(STRIP_EXECUTABLE)
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Stripped)")
				SET(CMAKE_BUILD_TYPE Release-stripped CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ELSE()
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
				SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ENDIF()
		ELSE()
			SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
			SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		ENDIF()
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb options
			SET(CMAKE_CXX_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(CXX_HAS_VIH_FLAG AND NOT MINGW)
				SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
			ENDIF()
		ELSE()
			IF(MSVC)
				#CMake default options are conflicting for some modules, such as perl
				STRING(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG_INIT ${CMAKE_CXX_FLAGS_DEBUG_INIT})
				STRING(REPLACE "/RTC1" "" CMAKE_C_FLAGS_DEBUG_INIT ${CMAKE_C_FLAGS_DEBUG_INIT})
				STRING(REPLACE "/RTC1" "" CMAKE_CXX_FLAGS_DEBUG ${CMAKE_CXX_FLAGS_DEBUG})
				STRING(REPLACE "/RTC1" "" CMAKE_C_FLAGS_DEBUG ${CMAKE_C_FLAGS_DEBUG})
				SET(CMAKE_CXX_FLAGS "/Ox")
				SET(CMAKE_C_FLAGS "/Ox")
			ELSE()
				SET(CMAKE_CXX_FLAGS "-O3")
				SET(CMAKE_C_FLAGS "-O3")
			ENDIF()
		ENDIF()
	ENDIF()
ENDIF()

############################################################################
# Check for KDE4
# This has been moved to the top of CMakeLists.txt, since FindKde4 overwrite
# cmake's module search paths, forcing us to use their version of these
# modules (eg: FindOpenSSL, see bug #655)
############################################################################

OPTION(WANT_KDE4 "Whether to use KDE4 support" ON)
IF(WANT_KDE4)
	FIND_PACKAGE(KDE4)
	IF(KDE4_FOUND)
		INCLUDE_DIRECTORIES(${KDE4_INCLUDES})
		ADD_DEFINITIONS(${KDE4_DEFINITIONS})
		SET(COMPILE_KDE_SUPPORT 1)
		LIST(APPEND LIBS ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY} ${KDE4_KPARTS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_SOLID_LIBRARY})
		SET(CMAKE_STATUS_KDE4_SUPPORT "Yes")

		# The KDE4 cmake module has a VERY WEIRD behaviour: it adds -Wl,--no-undefined
		# to the CMAKE_MODULE_LINKER_FLAGS .. which is BAD
		STRING(REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})
	ELSE()
		SET(CMAKE_STATUS_KDE4_SUPPORT "Not available")
	ENDIF()
ELSE()
	SET(CMAKE_STATUS_KDE4_SUPPORT "No")
ENDIF()

###############################################################################
#
# Verbose Makefile
#
###############################################################################

OPTION(WANT_VERBOSE "Generate verbose Makefiles" OFF)
IF(WANT_VERBOSE)
	SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL "Generate verbose Makefiles")
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "Yes")
	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS VERBOSE)
ELSE()
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "No")
ENDIF()


###############################################################################
#
# Version compatibility switch: appends VERSION_MAJOR to kvirc and kvilib
#
###############################################################################

OPTION(WANT_COEXISTENCE "Append version to binaries to maintain compatibility with older versions" OFF)
IF(WANT_COEXISTENCE)
	SET(KVIRC_BINARYNAME ${PACKAGE}${VERSION_MAJOR})
	SET(KVILIB_BINARYNAME kvilib${VERSION_MAJOR})
	SET(CMAKE_STATUS_COEXISTENCE_VER "Yes")
ELSE()
	SET(KVIRC_BINARYNAME ${PACKAGE})
	SET(KVILIB_BINARYNAME kvilib)
	SET(CMAKE_STATUS_COEXISTENCE_VER "No")
ENDIF()

###############################################################################
#
# Module install path: kvirc needs to know where they are installed
#
###############################################################################

IF(UNIX)
	IF(APPLE)
		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/Contents/Resources/")
	ELSE()
		# Assume linux

=== src/kvilib/CMakeLists.txt ===
# CMakeLists.txt for src/kvilib/

INCLUDE_DIRECTORIES(
	config
	core
	ext
	file
	irc
	locale
	net
	system
	${QT_INCLUDES}
)

# Please note that the sources have alphabetic order here

SET(
	kvilib_MOC_HDRS
	ext/KviAnimatedPixmap.h
	ext/KviAnimatedPixmapCache.h
	ext/KviCryptEngine.h
	ext/KviRegisteredUserDataBase.h
	ext/KviSharedFilesManager.h
	irc/KviIrcUserDataBase.h
	locale/KviTranslator.h
	net/KviDnsResolver.h
	net/KviHttpRequest.h
	system/KviThread.h
	tal/KviTalApplication.h
	tal/KviTalFileDialog.h
	tal/KviTalGroupBox.h
	tal/KviTalHBox.h
	tal/KviTalListWidget.h
	tal/KviTalMainWindow.h
	tal/KviTalMenuBar.h
	tal/KviTalPopupMenu.h
	tal/KviTalTabDialog.h
	tal/KviTalTableWidget.h
	tal/KviTalToolTip.h
	tal/KviTalVBox.h
	tal/KviTalWizard.h
)

IF(COMPILE_DBUS_SUPPORT)
	LIST(APPEND kvilib_MOC_HDRS
		ext/KviDbusAdaptor.h
	)
ENDIF()

IF(NOT DEFINED COMPILE_DISABLE_AVDEVICE)
	LIST(APPEND kvilib_MOC_HDRS
		ext/avdevice/videodevicepool.h
	)
ENDIF()

# Please note that the sources have alphabetic order here

SET(kvilib_SRCS
	config/KviBuildInfo.cpp
	core/KviError.cpp
	core/KviHeapObject.cpp
	core/KviMemory.cpp
	core/KviQString.cpp
	core/KviCString.cpp
	ext/KviCommandFormatter.cpp
	ext/KviConfigurationFile.cpp
	ext/KviCryptEngine.cpp
	ext/KviCryptEngineManager.cpp
	ext/KviDataBuffer.cpp
	ext/KviDbusAdaptor.cpp
	ext/KviDebugContext.cpp
	ext/KviMediaManager.cpp
	ext/KviMiscUtils.cpp
	ext/KviMessageTypeSettings.cpp
	ext/KviOsInfo.cpp
	ext/KviPixmap.cpp
	ext/KviPixmapUtils.cpp
	ext/KviAnimatedPixmap.cpp
	ext/KviAnimatedPixmapCache.cpp
	ext/KviNickColors.cpp
	ext/KviProxy.cpp
	ext/KviProxyDataBase.cpp
	ext/KviRegisteredChannel.cpp
	ext/KviRegisteredChannelDataBase.cpp
	ext/KviRegisteredUser.cpp
	ext/KviRegisteredUserDataBase.cpp
	ext/KviRegisteredUserGroup.cpp
	ext/KviRegisteredUserMask.cpp
	ext/KviSharedFile.cpp
	ext/KviSharedFilesManager.cpp
	ext/KviStringConversion.cpp
	file/KviFile.cpp
	file/KviFileUtils.cpp
	file/KviPackageIOEngine.cpp
	file/KviPackageReader.cpp
	file/KviPackageWriter.cpp
	irc/KviAvatar.cpp
	irc/KviAvatarCache.cpp
	irc/KviControlCodes.cpp
	irc/KviIdentityProfile.cpp
	irc/KviIdentityProfileSet.cpp
	irc/KviIrcMask.cpp
	irc/KviIrcNetwork.cpp
	irc/KviIrcServer.cpp
	irc/KviIrcServerDataBase.cpp
	irc/KviIrcServerReconnectInfo.cpp
	irc/KviIrcUserDataBase.cpp
	irc/KviIrcUserEntry.cpp
	irc/KviNickServRule.cpp
	irc/KviNickServRuleSet.cpp
	irc/KviUserIdentity.cpp
	irc/KviUserIdentityManager.cpp
	locale/KviLocale.cpp
	locale/KviMessageCatalogue.cpp
	locale/KviTranslationEntry.cpp
	locale/KviTranslator.cpp
	net/KviDnsResolver.cpp
	net/KviHttpRequest.cpp
	net/KviNetUtils.cpp
	net/KviSASL.cpp
	net/kvi_socket.cpp
	net/KviSSL.cpp
	net/KviUrl.cpp
	system/KviEnvironment.cpp
	system/KviThread.cpp
	system/KviTimeUtils.cpp
	tal/KviTalApplication.cpp
	tal/KviTalFileDialog.cpp
	tal/KviTalGroupBox.cpp
	tal/KviTalHBox.cpp
	tal/KviTalIconAndRichTextItemDelegate.cpp
	tal/KviTalListWidget.cpp
	tal/KviTalMainWindow.cpp
	tal/KviTalMenuBar.cpp
	tal/KviTalPopupMenu.cpp
	tal/KviTalSplitter.cpp
	tal/KviTalTabDialog.cpp
	tal/KviTalTableWidget.cpp
	tal/KviTalToolTip.cpp
	tal/KviTalVBox.cpp
	tal/KviTalWizard.cpp
)

IF(NOT DEFINED COMPILE_DISABLE_AVDEVICE)
	LIST(APPEND kvilib_SRCS
		ext/avdevice/videodevice.cpp 
		ext/avdevice/videoinput.cpp 
		ext/avdevice/videodevicepool.cpp 
		ext/avdevice/bayer.cpp
		ext/avdevice/sonix_compress.cpp
	)
ENDIF()

IF(NOT DEFINED COMPILE_DISABLE_OGG_THEORA)
	LIST(APPEND kvilib_SRCS
		ext/KviOggTheoraDecoder.cpp
		ext/KviOggTheoraEncoder.cpp
	)
ENDIF()

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvilib_MOC_SRCS ${kvilib_MOC_HDRS})

# Create library
IF(WANT_COEXISTENCE)
	SET(KVILIB_BINARYNAME kvilib${VERSION_MAJOR})
ELSE()
	SET(KVILIB_BINARYNAME kvilib)
ENDIF()

#we need this defined when mingw will compile moc files
IF(WIN32)
        ADD_DEFINITIONS(-D__KVILIB__)
ENDIF()

IF(MSVC)
	LIST(APPEND LIBS wsock32.lib ws2_32.lib)
ENDIF()

ADD_LIBRARY(${KVILIB_BINARYNAME} SHARED ${kvilib_SRCS} ${kvilib_MOC_SRCS})
TARGET_LINK_LIBRARIES(${KVILIB_BINARYNAME} ${LIBS})
SET_TARGET_PROPERTIES(${KVILIB_BINARYNAME} PROPERTIES VERSION ${VERSION_RELEASE} SOVERSION ${VERSION_MAJOR} LINK_FLAGS "${ADDITIONAL_LINK_FLAGS}")

IF(WANT_STRIP)
	GET_TARGET_PROPERTY(KVILIB_LOCATION ${KVILIB_BINARYNAME} LOCATION)
	INSTALL(CODE "EXEC_PROGRAM(${STRIP_EXECUTABLE} ARGS -s \"${KVILIB_LOCATION}\")")
ENDIF()

# Installation directives
IF(UNIX)
	IF(APPLE)
		SET_TARGET_PROPERTIES(${KVILIB_BINARYNAME} PROPERTIES INSTALL_NAME_DIR "@executable_path/../Frameworks")
		INSTALL(TARGETS ${KVILIB_BINARYNAME} LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Frameworks)
	ELSE()
		# Assume linux
		INSTALL(TARGETS ${KVILIB_BINARYNAME} LIBRARY DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
	ENDIF()
ELSEIF(WIN32)
	# For DLL platforms the DLL part of a shared library is treated as a RUNTIME target and the corresponding import library is treated as an ARCHIVE target
	INSTALL(TARGETS ${KVILIB_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
ENDIF()

=== src/kvirc/CMakeLists.txt ===
# CMakeLists.txt for src/kvirc/

INCLUDE_DIRECTORIES(
	kernel
	kvs
	kvs/event
	kvs/object
	kvs/parser
	kvs/tree
	module
	sparser
	ui
	../kvilib/tal
	../kvilib/config
	../kvilib/core
	../kvilib/ext
	../kvilib/file
	../kvilib/irc
	../kvilib/locale
	../kvilib/net
	../kvilib/system
)

SET(kvirc_MOC_HDRS
	ui/KviActionDrawer.h
	ui/KviChannelWindow.h
	ui/KviColorSelectionWindow.h
	ui/KviConsoleWindow.h
	ui/KviCryptController.h
	ui/KviCtcpPageDialog.h
	ui/KviCustomToolBar.h
	ui/KviDebugWindow.h
	ui/KviDynamicToolTip.h
	ui/KviFileDialog.h
	ui/KviMainWindow.h
	ui/KviHistoryWindow.h
	ui/KviHtmlDialog.h
	ui/KviImageDialog.h
	ui/KviInput.h
	ui/KviInputEditor.h
	ui/KviIpEditor.h
	ui/KviIrcToolBar.h
	ui/KviIrcView.h
	ui/KviIrcView_tools.h
	ui/KviMaskEditor.h
	ui/KviMdiChild.h
	ui/KviMdiManager.h
	ui/KviMenuBar.h
	ui/KviModeEditor.h
	ui/KviModeWidget.h
	ui/KviOptionsWidget.h
	ui/KviQueryWindow.h
	ui/KviScriptButton.h
	ui/KviScriptEditor.h
	ui/KviSelectors.h
	ui/KviSplashScreen.h
	ui/KviStatusBar.h
	ui/KviStatusBarApplet.h
	ui/KviTextIconWindow.h
	ui/KviThemedComboBox.h
	ui/KviThemedLabel.h
	ui/KviThemedLineEdit.h
	ui/KviThemedTreeWidget.h
	ui/KviToolBar.h
	ui/KviWindowToolWidget.h
	ui/KviTopicWidget.h
	ui/KviUserListView.h
	ui/KviWebPackageManagementDialog.h
	ui/KviWindow.h
	ui/KviWindowListBase.h
	ui/KviTreeWindowList.h
	sparser/KviIrcServerParser.h
	module/KviMexLinkFilter.h
	module/KviMexServerImport.h
	module/KviMexToolBar.h
	module/KviModuleManager.h
	kvs/KviKvsAction.h
	kvs/KviKvsAliasManager.h
	kvs/KviKvsAsyncDnsOperation.h
	kvs/KviKvsAsyncOperation.h
	kvs/KviKvsDnsManager.h
	kvs/KviKvsPopupMenu.h
	kvs/KviKvsPopupManager.h
	kvs/KviKvsProcessManager.h
	kvs/KviKvsTimerManager.h
	kvs/KviKvsUserAction.h
	kvs/event/KviKvsEventManager.h
	kvs/object/KviKvsObject.h
	kernel/KviAction.h
	kernel/KviActionManager.h
	kernel/KviApplication.h
	kernel/KviCoreActions.h
	kernel/KviDefaultScript.h
	kernel/KviFileTransfer.h
	kernel/KviIconManager.h
	kernel/KviIpcSentinel.h
	kernel/KviIrcConnection.h
	kernel/KviIrcConnectionRequestQueue.h
	kernel/KviIrcConnectionTargetResolver.h
	kernel/KviIrcContext.h
	kernel/KviIrcLink.h
	kernel/KviIrcSocket.h
	kernel/KviLagMeter.h
	kernel/KviNotifyList.h
	kernel/KviTextIconManager.h
)

SET(kvirc_SRCS
	ui/KviActionDrawer.cpp
	ui/KviChannelWindow.cpp
	ui/KviColorSelectionWindow.cpp
	ui/KviConsoleWindow.cpp
	ui/KviCryptController.cpp
	ui/KviCtcpPageDialog.cpp
	ui/KviCustomToolBar.cpp
	ui/KviDebugWindow.cpp
	ui/KviDynamicToolTip.cpp
	ui/KviFileDialog.cpp
	ui/KviMainWindow.cpp
	ui/KviHistoryWindow.cpp
	ui/KviHtmlDialog.cpp
	ui/KviImageDialog.cpp
	ui/KviInput.cpp
	ui/KviInputEditor.cpp
	ui/KviInputHistory.cpp
	ui/KviIpEditor.cpp
	ui/KviIrcToolBar.cpp
	ui/KviIrcView.cpp
	ui/KviIrcView_events.cpp
	ui/KviIrcView_getTextLine.cpp
	ui/KviIrcView_loghandling.cpp
	ui/KviIrcView_tools.cpp
	ui/KviMaskEditor.cpp
	ui/KviMdiChild.cpp
	ui/KviMdiManager.cpp
	ui/KviMenuBar.cpp
	ui/KviModeEditor.cpp
	ui/KviModeWidget.cpp
	ui/KviMessageBox.cpp
	ui/KviOptionsWidget.cpp
	ui/KviQueryWindow.cpp
	ui/KviScriptButton.cpp
	ui/KviScriptEditor.cpp
	ui/KviSelectors.cpp
	ui/KviSplashScreen.cpp
	ui/KviStatusBar.cpp
	ui/KviStatusBarApplet.cpp
	ui/KviTextIconWindow.cpp
	ui/KviThemedComboBox.cpp
	ui/KviThemedLabel.cpp
	ui/KviThemedLineEdit.cpp
	ui/KviThemedTreeWidget.cpp
	ui/KviToolBar.cpp
	ui/KviWebPackageManagementDialog.cpp
	ui/KviWindowToolWidget.cpp
	ui/KviTopicWidget.cpp
	ui/KviUserListView.cpp
	ui/KviWindow.cpp
	ui/KviWindowListBase.cpp
	ui/KviTreeWindowList.cpp
	sparser/KviAntiSpam.cpp
	sparser/KviIrcMessage.cpp
	sparser/KviIrcServerParser_ctcp.cpp
	sparser/KviIrcServerParser_literalHandlers.cpp
	sparser/KviIrcServerParser_numericHandlers.cpp
	sparser/KviIrcServerParser_tables.cpp
	sparser/KviIrcServerParser.cpp
	module/KviMexLinkFilter.cpp
	module/KviMexServerImport.cpp
	module/KviMexToolBar.cpp
	module/KviModule.cpp
	module/KviModuleExtension.cpp
	module/KviModuleManager.cpp
	kvs/KviKvs.cpp
	kvs/KviKvsAction.cpp
	kvs/KviKvsAliasManager.cpp
	kvs/KviKvsArray.cpp
	kvs/KviKvsArrayCast.cpp
	kvs/KviKvsAsyncDnsOperation.cpp
	kvs/KviKvsAsyncOperation.cpp
	kvs/KviKvsCallbackObject.cpp
	kvs/KviKvsCoreCallbackCommands.cpp
	kvs/KviKvsCoreFunctions.cpp
	kvs/KviKvsCoreFunctions_af.cpp
	kvs/KviKvsCoreFunctions_gl.cpp
	kvs/KviKvsCoreFunctions_mr.cpp
	kvs/KviKvsCoreFunctions_sz.cpp
	kvs/KviKvsCoreSimpleCommands.cpp
	kvs/KviKvsCoreSimpleCommands_af.cpp
	kvs/KviKvsCoreSimpleCommands_gl.cpp
	kvs/KviKvsCoreSimpleCommands_mr.cpp
	kvs/KviKvsCoreSimpleCommands_sz.cpp
	kvs/KviKvsDnsManager.cpp
	kvs/KviKvsHash.cpp
	kvs/KviKvsKernel.cpp
	kvs/KviKvsModuleInterface.cpp
	kvs/KviKvsParameterProcessor.cpp
	kvs/KviKvsPopupManager.cpp
	kvs/KviKvsPopupMenu.cpp
	kvs/KviKvsProcessManager.cpp
	kvs/KviKvsReport.cpp
	kvs/KviKvsRunTimeCall.cpp
	kvs/KviKvsRunTimeContext.cpp
	kvs/KviKvsRWEvaluationResult.cpp
	kvs/KviKvsScript.cpp
	kvs/KviKvsScriptAddonManager.cpp
	kvs/KviKvsSwitchList.cpp
	kvs/KviKvsTimerManager.cpp
	kvs/KviKvsUserAction.cpp
	kvs/KviKvsVariant.cpp
	kvs/KviKvsVariantList.cpp
	kvs/event/KviKvsEvent.cpp
	kvs/event/KviKvsEventHandler.cpp
	kvs/event/KviKvsEventManager.cpp
	kvs/event/KviKvsEventTable.cpp
	kvs/object/KviKvsObject.cpp
	kvs/object/KviKvsObjectClass.cpp
	kvs/object/KviKvsObjectController.cpp
	kvs/object/KviKvsObjectFunctionCall.cpp
	kvs/object/KviKvsObjectFunctionHandler.cpp
	kvs/object/KviKvsObjectFunctionHandlerImpl.cpp
	kvs/parser/KviKvsParser.cpp
	kvs/parser/KviKvsParser_command.cpp
	kvs/parser/KviKvsParser_comment.cpp
	kvs/parser/KviKvsParser_dollar.cpp
	kvs/parser/KviKvsParser_expression.cpp
	kvs/parser/KviKvsParser_lside.cpp
	kvs/parser/KviKvsParser_specialCommands.cpp
	kvs/tree/KviKvsTreeNodeAliasFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeAliasSimpleCommand.cpp
	kvs/tree/KviKvsTreeNodeArrayCount.cpp
	kvs/tree/KviKvsTreeNodeArrayElement.cpp
	kvs/tree/KviKvsTreeNodeArrayOrHashElement.cpp
	kvs/tree/KviKvsTreeNodeArrayReferenceAssert.cpp
	kvs/tree/KviKvsTreeNodeBase.cpp
	kvs/tree/KviKvsTreeNodeBaseObjectFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeCallbackCommand.cpp
	kvs/tree/KviKvsTreeNodeCommand.cpp
	kvs/tree/KviKvsTreeNodeCommandEvaluation.cpp
	kvs/tree/KviKvsTreeNodeCommandWithParameters.cpp
	kvs/tree/KviKvsTreeNodeCompositeData.cpp
	kvs/tree/KviKvsTreeNodeConstantData.cpp
	kvs/tree/KviKvsTreeNodeCoreCallbackCommand.cpp
	kvs/tree/KviKvsTreeNodeCoreFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeCoreSimpleCommand.cpp
	kvs/tree/KviKvsTreeNodeData.cpp
	kvs/tree/KviKvsTreeNodeDataList.cpp
	kvs/tree/KviKvsTreeNodeExpression.cpp
	kvs/tree/KviKvsTreeNodeExpressionReturn.cpp
	kvs/tree/KviKvsTreeNodeExtendedScopeVariable.cpp
	kvs/tree/KviKvsTreeNodeFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeGlobalVariable.cpp
	kvs/tree/KviKvsTreeNodeHashCount.cpp
	kvs/tree/KviKvsTreeNodeHashElement.cpp
	kvs/tree/KviKvsTreeNodeHashReferenceAssert.cpp
	kvs/tree/KviKvsTreeNodeIndirectData.cpp
	kvs/tree/KviKvsTreeNodeInstruction.cpp
	kvs/tree/KviKvsTreeNodeInstructionBlock.cpp
	kvs/tree/KviKvsTreeNodeLocalVariable.cpp
	kvs/tree/KviKvsTreeNodeModuleCallbackCommand.cpp
	kvs/tree/KviKvsTreeNodeModuleFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeModuleSimpleCommand.cpp
	kvs/tree/KviKvsTreeNodeMultipleParameterIdentifier.cpp
	kvs/tree/KviKvsTreeNodeObjectField.cpp
	kvs/tree/KviKvsTreeNodeObjectFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeOperation.cpp
	kvs/tree/KviKvsTreeNodeParameterReturn.cpp
	kvs/tree/KviKvsTreeNodeRebindingSwitch.cpp
	kvs/tree/KviKvsTreeNodeScopeOperator.cpp
	kvs/tree/KviKvsTreeNodeSimpleCommand.cpp
	kvs/tree/KviKvsTreeNodeSingleParameterIdentifier.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommand.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandBreak.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandClass.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandContinue.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandDefpopup.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandDo.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandFor.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandForeach.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandIf.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandSwitch.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandUnset.cpp
	kvs/tree/KviKvsTreeNodeSpecialCommandWhile.cpp
	kvs/tree/KviKvsTreeNodeStringCase.cpp
	kvs/tree/KviKvsTreeNodeSwitchList.cpp
	kvs/tree/KviKvsTreeNodeThisObjectFunctionCall.cpp
	kvs/tree/KviKvsTreeNodeVariable.cpp
	kvs/tree/KviKvsTreeNodeVoidFunctionCall.cpp
	kernel/KviAction.cpp
	kernel/KviActionManager.cpp
	kernel/KviApplication.cpp
	kernel/KviApplication_filesystem.cpp
	kernel/KviApplication_setup.cpp
	kernel/KviAsynchronousConnectionData.cpp
	kernel/KviCoreActions.cpp
	kernel/KviCustomToolBarDescriptor.cpp
	kernel/KviCustomToolBarManager.cpp
	kernel/KviDefaultScript.cpp
	kernel/KviFileTransfer.cpp
	kernel/KviHtmlGenerator.cpp
	kernel/KviIconManager.cpp
	kernel/KviInternalCommand.cpp
	kernel/KviIpcSentinel.cpp
	kernel/KviIrcConnection.cpp
	kernel/KviIrcConnectionAntiCtcpFloodData.cpp
	kernel/KviIrcConnectionAsyncWhoisData.cpp
	kernel/KviIrcConnectionNetsplitDetectorData.cpp
	kernel/KviIrcConnectionRequestQueue.cpp
	kernel/KviIrcConnectionServerInfo.cpp
	kernel/KviIrcConnectionStateData.cpp
	kernel/KviIrcConnectionStatistics.cpp
	kernel/KviIrcConnectionTarget.cpp
	kernel/KviIrcConnectionTargetResolver.cpp
	kernel/KviIrcConnectionUserInfo.cpp
	kernel/KviIrcContext.cpp
	kernel/KviIrcDataStreamMonitor.cpp
	kernel/KviIrcLink.cpp
	kernel/KviIrcSocket.cpp
	kernel/KviIrcUrl.cpp
	kernel/KviLagMeter.cpp
	kernel/KviMain.cpp
	kernel/KviNotifyList.cpp
	kernel/KviOptions.cpp
	kernel/KviSSLMaster.cpp
	kernel/KviTextIconManager.cpp
	kernel/KviTheme.cpp
	kernel/KviUserAction.cpp
	kernel/KviUserInput.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvirc_MOC_SRCS ${kvirc_MOC_HDRS})

IF(MINGW)
	# resource compilation for mingw
	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
		COMMAND windres.exe -I${CMAKE_SOURCE_DIR}/data/resources_win32/ -i${CMAKE_SOURCE_DIR}/data/resources_win32/kvirc.rc -o${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/data/resources_win32
	)
	LIST(APPEND kvirc_SRCS ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o)
ENDIF()

IF(MSVC)
	LIST(APPEND LIBS shlwapi.lib)
ENDIF()

# Link libraries
ADD_EXECUTABLE(${KVIRC_BINARYNAME} ${kvirc_SRCS} ${kvirc_MOC_SRCS})
TARGET_LINK_LIBRARIES(${KVIRC_BINARYNAME} ${KVILIB_BINARYNAME} ${LIBS})
SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES LINK_FLAGS "${ADDITIONAL_LINK_FLAGS}")

IF(CMAKE_HOST_SYSTEM MATCHES "FreeBSD")
	SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES LINK_FLAGS -export-dynamic)
	MESSAGE(STATUS "Patching for FreeBSD...")
ENDIF()

IF(WIN32)
	# Needed for linking
	SET_TARGET_PROPERTIES(${KVIRC_BINARYNAME} PROPERTIES ENABLE_EXPORTS ON)

	# We need this defined when mingw will compile moc files
	ADD_DEFINITIONS(-D__KVIRC__)
	ADD_DEFINITIONS(-DCOMPILE_USE_STANDALONE_MOC_SOURCES)
ENDIF()

IF(WANT_STRIP)
	GET_TARGET_PROPERTY(KVIRC_LOCATION ${KVIRC_BINARYNAME} LOCATION)
	INSTALL(CODE "EXEC_PROGRAM(${STRIP_EXECUTABLE} ARGS -s \"${KVIRC_LOCATION}\")")
ENDIF()

# Installation directives
IF(UNIX)
	IF(APPLE)
		INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/MacOS)
	ELSE()
		# Assume linux
		INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(TARGETS ${KVIRC_BINARYNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
ENDIF()

=== data/deftheme/YellowIRC-1.0.0/CMakeLists.txt ===
# CMakeLists for data/deftheme/YellowIRC-1.0.0

FILE(GLOB images "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
FILE(GLOB themefiles "${CMAKE_CURRENT_SOURCE_DIR}/*.kvc")
LIST(APPEND files ${images} ${themefiles})

IF(UNIX)
	IF(APPLE)
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/themes/YellowIRC-1.0.0/)
	ELSE()
		# Assume linux
		INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/themes/YellowIRC-1.0.0/)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/themes/YellowIRC-1.0.0/)
ENDIF()

=== src/modules/mediaplayer/CMakeLists.txt ===
# CMakeLists for src/modules/mediaplayer

SET(kvimediaplayer_SRCS
	libkvimediaplayer.cpp
	MpInterface.cpp
	MpMp3.cpp
	MpWinampInterface.cpp
	MpXmmsInterface.cpp
	MpAmipInterface.cpp
	MpMprisInterface.cpp
	MpSpotifyInterface.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvimediaplayer_MOC_SRCS ${kvimediaplayer_MOC_HDRS})

SET(kvi_module_name kvimediaplayer)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

IF(WIN32)
	ADD_LIBRARY(gen_kvirc MODULE winamp.cpp)
	SET_TARGET_PROPERTIES(gen_kvirc PROPERTIES PREFIX "" LINK_FLAGS -static-libgcc COMPILE_FLAGS -static-libgcc)
	INSTALL(TARGETS gen_kvirc LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/modules)
ENDIF()

=== src/modules/str/CMakeLists.txt ===
# CMakeLists for src/modules/str

IF(UNIX)
  IF(APPLE)
    LIST(APPEND LIBS -lssl -lcrypto)
  ENDIF()
ENDIF()

SET(kvistr_SRCS
	libkvistr.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvistr_MOC_SRCS ${kvistr_MOC_HDRS})

SET(kvi_module_name kvistr)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/iograph/caps/CMakeLists.txt ===
# CMakeLists for ./caps

SET(CAPSFILE iograph)

IF(UNIX)
	IF(APPLE)
		INSTALL(FILES ${CAPSFILE} DESTINATION ${CMAKE_INSTALL_PREFIX}/Contents/Resources/modules/caps/tool/)
	ELSE()
		# Assume linux
		INSTALL(FILES ${CAPSFILE} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/modules/caps/tool/)
	ENDIF()
ELSEIF(WIN32)
	INSTALL(FILES ${CAPSFILE} DESTINATION ${CMAKE_INSTALL_PREFIX}/modules/caps/tool/)
ENDIF()

=== debian/changelog ===
kvirc (4:4.1.1~svn5829-1build1) oneiric; urgency=low

  * No change rebuild for libcrypto++ transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 23:21:32 -0400

kvirc (4:4.1.1~svn5829-1) unstable; urgency=low

  The "Sleeping Potion" release.

  * Synced to upstream's SVN revision 5829.
  * debian/gbp.conf: Ensure tags get signed.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    needed.
  * debian/patches:
    - 10_fix_desktop_entry.patch: Refreshed.
    - 22_use_old_.protocol_file_names.patch: Added, sort of reverts upstream's
      r5756.
  * debian/kvirc-data.install: Updated for correct .protocol file
    installation.
  * debian/kvirc.lintian-overrides: Updated to match Lintian's current output.

 -- Kai Wasserbäch <curan@debian.org>  Sat, 07 May 2011 16:59:40 +0200

kvirc (4:4.1.1~svn5639-1) unstable; urgency=low

  The "Sleeper Agent" release.

  * Synced to upstream's SVN revision 5639.
  * debian/control: Added libqtwebkit-dev (QWebView is no longer shipped in
    libqt4-dev).

 -- Kai Wasserbäch <curan@debian.org>  Fri, 18 Mar 2011 19:22:25 +0100

kvirc (4:4.1.1~svn5551-1) unstable; urgency=low

  The "Sigil of Sleep" release.

  * Synced to upstream's SVN revision 5551.
  * debian/control:
    - Remove version constraint on pkg-kde-tools B-D (oldest version in the
      archives is >=0.9).
    - Changed Vcs-* links to our Git repository (this change was made because
      mercurial-buildpackage isn't ready yet).
    - Remove version requirement for qt4-x11, stable is sufficiently
      up-to-date.
  * debian/kvirc-data.links: Added symlink for usr/share/pixmaps/kvirc.png, as
    it is the same as the 48x48 hicolor icon.
  * debian/kvirc.install: Added the man pages, as upstream installs them in
    the correct places now, our dh_installman hack isn't needed anymore.
  * debian/kvirc.manpages: Deleted (see above).
  * debian/rules:
    - Changed dh_install invocation to --fail-missing.
    - Added "--parallel" to dh_auto_configure invocation.
    - Removed get-orig-tar target, use gbp-clone/gbp-pull (or plain git).
  * debian/README.source: Updated for new Git repository.
  * debian/gbp.conf: Added to ensure pristine-tar usage. 
  * debian/watch: Added git-import-orig invocation.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 07 Mar 2011 12:57:53 +0100

=== debian/control ===
Source: kvirc
Build-Depends: debhelper (>= 8), cmake, kdelibs5-dev, libperl-dev,
 pkg-kde-tools, zlib1g-dev, libx11-dev, libxrender-dev, libssl-dev,
 libqt4-dev, libcrypto++-dev, pkg-config, libxss-dev, python-dev,
 libqtwebkit-dev
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
 Kai Wasserbäch <curan@debian.org>,
 Mark Purcell <msp@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kvirc.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kvirc.git
Homepage: http://www.kvirc.de/

Package: kvirc
Architecture: any
Depends: kvirc-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: kvirc-dbg (= ${binary:Version})
Description: KDE-based next generation IRC client with module support
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 If you're looking for a simple and plain IRC client, KVIrc is probably the
 wrong choice as it is rather big. But if you want a highly customizable client
 you won't regret the installation.

Package: kvirc-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kvirc (>= ${source:Version})
Description: Data files for KVIrc
 This package contains the architecture-independent data needed by KVIrc in
 order to run, such as icons and images, language files, and shell scripts.
 It also contains complete reference guides on scripting and functions
 within KVIrc in its internal help format.

Package: kvirc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kvirc (= ${binary:Version}), ${misc:Depends}
Description: KVIrc (IRC client) debugging symbols
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 This package is intended to help debugging possible problems with KVIrc.

=== debian/rules ===
#! /usr/bin/make -f
#
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

DEBVERSION = $(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION = $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg[0-9]*$$//')
REV = $(shell echo $(UPVERSION) | sed -e 's/^.*svn//' -e 's/\+rc[0-9]$$//')

# We don't install all files upstream wants to. Those files get added to
# the following variable which gives us a cleaner buildd output (idea taken
# from the mesa package).
NOT_INSTALLED := \
				usr/lib/libkvilib.so \
				usr/bin/kvirc-config \
				usr/share/kvirc/4.1/license/LICENSE-GPLV2 \
				usr/share/kvirc/4.1/license/LICENSE-GPLV3 \
				usr/share/kvirc/4.1/license/LICENSE-OPENSSL \
				usr/share/pixmaps/kvirc.png # this one is installed by a symlink

override_dh_auto_configure:
	dh_auto_configure --parallel -Skde -- -DWANT_COEXISTANCE=OFF \
			-DWANT_ESD=OFF -DWANT_OSS=OFF \
			-DWANT_CRYPTOPP=YES -DWANT_STRIP=OFF \
			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DMANUAL_REVISION=$(REV)

override_dh_install:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
	dh_install --fail-missing -XCOPYING

%:
	dh $@ --parallel --dbg-package=kvirc-dbg --with kde

.PHONY: override_dh_auto_configure override_dh_install

## kvirc 4.1.3+20111124.svn5988

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,13 +29,16 @@
 SET(NICENAME "KVIrc")
 SET(VERSION_MAJOR "4")
 SET(VERSION_BRANCH "4.1")
-SET(VERSION_RELEASE "4.1.1")
+SET(VERSION_RELEASE "4.1.3")
+SET(VERSION_CODENAME "Equilibrium")
+# REMINDER: "Aria" is a candidate
 
 STRING(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})
 
 SET(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
 SET(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
 SET(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
+SET(CMAKE_KVIRC_VERSION_CODENAME ${VERSION_CODENAME})
 SET(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
 SET(CMAKE_KVIRC_BUILD_FLAGS)
 SET(CMAKE_KVIRC_BUILD_SYSTEM ${CMAKE_SYSTEM})
@@ -278,7 +281,7 @@
 
 OPTION(WANT_VERBOSE "Generate verbose Makefiles" OFF)
 IF(WANT_VERBOSE)
-	SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL "Generate verbose Makefiles")
+	SET(CMAKE_VERBOSE_MAKEFILE ON)
 	SET(CMAKE_STATUS_VERBOSE_SUPPORT "Yes")
 	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS VERBOSE)
 ELSE()
@@ -312,5 +315,3 @@
 IF(UNIX)
 	IF(APPLE)
 		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/Contents/Resources/")
-	ELSE()
-		# Assume linux

=== data/CMakeLists.txt ===
# CMakeLists for data/

# Find subdirs
SUBDIRS(applnk audio config defscript deftheme helppics icons man msgcolors pics)

IF(APPLE)
	# MacOS X
	ADD_SUBDIRECTORY(resources_mac)
ELSEIF(WIN32)
	ADD_SUBDIRECTORY(resources_win32)
ELSE()
	ADD_SUBDIRECTORY(mimetypes)
	ADD_SUBDIRECTORY(protocols)
ENDIF()

=== data/deftheme/CMakeLists.txt ===
# CMakeLists for data/deftheme

# Find subdirs
SUBDIRS(MinimalDark-1.0.0 YellowIRC-1.0.0)

=== src/kvilib/CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
 	core/KviMemory.cpp
 	core/KviQString.cpp
 	core/KviCString.cpp
+	core/KviShortcut.cpp
 	ext/KviCommandFormatter.cpp
 	ext/KviConfigurationFile.cpp
 	ext/KviCryptEngine.cpp

=== src/kvirc/CMakeLists.txt ===
--- 
+++ 
@@ -333,11 +333,11 @@
 
 IF(MINGW)
 	# resource compilation for mingw
-	ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
-		COMMAND windres.exe -I${CMAKE_SOURCE_DIR}/data/resources_win32/ -i${CMAKE_SOURCE_DIR}/data/resources_win32/kvirc.rc -o${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o
-		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/data/resources_win32
-	)
-	LIST(APPEND kvirc_SRCS ${CMAKE_CURRENT_BINARY_DIR}/win32_resource.o)
+	set(CMAKE_RC_COMPILER_INIT windres)
+	ENABLE_LANGUAGE(RC)
+	SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
+
+	LIST(APPEND kvirc_SRCS ${CMAKE_SOURCE_DIR}/data/resources_win32/kvirc.rc)
 ENDIF()
 
 IF(MSVC)

=== src/modules/CMakeLists.txt ===
# CMakeLists.txt for src/modules/
IF(APPLE)
	SET(CMAKE_MODULE_LINKER_FLAGS "-undefined dynamic_lookup")
ENDIF()

INCLUDE_DIRECTORIES(
	../kvilib/tal/
	../kvilib/config/
	../kvilib/core/
	../kvilib/ext/
	../kvilib/file/
	../kvilib/irc/
	../kvilib/locale/
	../kvilib/net/
	../kvilib/system/
	../kvirc/kernel/
	../kvirc/kvs/
	../kvirc/kvs/event/
	../kvirc/kvs/object/
	../kvirc/kvs/parser/
	../kvirc/kvs/tree/
	../kvirc/module/
	../kvirc/sparser/
	../kvirc/ui/
)

SUBDIRS(
	about action actioneditor addon aliaseditor avatar
	chan channelsjoin classeditor codetester config context
	dcc dialog
	editor eventeditor
	file filetransferwindow fish
	help http
	ident iograph
	lamerizer language links list log logview
	mask math mediaplayer mircimport my
	notifier
	objects options
	perlcore popup popupeditor proxydb pythoncore
	raweditor regchan reguser rijndael rot13
	serverdb setup sharedfile sharedfileswindow snd socketspy spaste str system
	texticons term theme tip tmphighlight toolbar toolbareditor torrent trayicon
	upnp url userlist
	window
)

IF(COMPILE_PERL_SUPPORT)
	SUBDIRS(perl)
ENDIF()

IF(COMPILE_PYTHON_SUPPORT)
	SUBDIRS(python)
ENDIF()

=== src/modules/filetransferwindow/CMakeLists.txt ===
# CMakeLists for src/modules/filetransferwindow

SUBDIRS(caps)

SET(kvifiletransferwindow_MOC_HDRS
	FileTransferWindow.h
)

SET(kvifiletransferwindow_SRCS
	libkvifiletransferwindow.cpp
	FileTransferWindow.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvifiletransferwindow_MOC_SRCS ${kvifiletransferwindow_MOC_HDRS})

SET(kvi_module_name kvifiletransferwindow)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/logview/CMakeLists.txt ===
# CMakeLists for src/modules/logview

SUBDIRS(caps)

SET(kvilogview_MOC_HDRS
	LogViewWindow.h
)

SET(kvilogview_SRCS
	libkvilogview.cpp
	LogFile.cpp
	LogViewWidget.cpp
	LogViewWindow.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvilogview_MOC_SRCS ${kvilogview_MOC_HDRS})

SET(kvi_module_name kvilogview)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== debian/changelog ===
kvirc (4:4.1.3+20111124.svn5988-1) unstable; urgency=low

  The "Land Equilibrium" release.

  * Synced to upstream's SVN revision 5988.

 -- Kai Wasserbäch <curan@debian.org>  Thu, 24 Nov 2011 13:26:20 +0100

kvirc (4:4.1.3+20110929.svn5980-1) unstable; urgency=low

  The "Balance of Power" release.

  * Synced to upstream's SVN revision 5980.
  * debian/control:
    - Vcs-* fields updated.
    - Remove libcrypto++-dev from B-Ds, was dropped upstream.
    - Bumped B-D on debhelper to >= 8.9.4.
  * debian/rules:
    - Remove a now obsolete flag.
    - Upstream fixed a typo in a configuration variable name (now
      WANT_COEXISTENCE), updated invocation.
  * debian/compat: Now at 9.
  * Make KVIrc multiarch ready:
    - debian/{kvirc,libkvilib4,kvirc-modules}.install: Split out binaries
      under /usr/lib.
    - debian/rules: Add -DLIB_SUFFIX to dh_auto_configure invocation.
    - debian/control:
      + Added new packages (needed for split).
      + Added Multi-Arch fields
      + Added Pre-Depends: multiarch-support and ${misc:Pre-Depends} where
        needed.
      + Bumped B-D on CMake.
    - debian/{kvirc,libkvilib4,kvirc-modules}.lintian-overrides: Moved and
      updated overrides to match new locations (one could be dropped in the
      process).

 -- Kai Wasserbäch <curan@debian.org>  Thu, 29 Sep 2011 16:27:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,17 @@
 Source: kvirc
-Build-Depends: debhelper (>= 8), cmake, kdelibs5-dev, libperl-dev,
- pkg-kde-tools, zlib1g-dev, libx11-dev, libxrender-dev, libssl-dev,
- libqt4-dev, libcrypto++-dev, pkg-config, libxss-dev, python-dev,
+Build-Depends: debhelper (>= 8.9.4),
+ cmake (>= 2.8.4+dfsg.1-3),
+ kdelibs5-dev,
+ libperl-dev,
+ pkg-kde-tools,
+ zlib1g-dev,
+ libx11-dev,
+ libxrender-dev,
+ libssl-dev,
+ libqt4-dev,
+ pkg-config,
+ libxss-dev,
+ python-dev,
  libqtwebkit-dev
 Section: net
 Priority: optional
@@ -10,14 +20,20 @@
  Kai Wasserbäch <curan@debian.org>,
  Mark Purcell <msp@debian.org>
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kvirc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kvirc.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kvirc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kvirc.git;a=summary
 Homepage: http://www.kvirc.de/
 
 Package: kvirc
 Architecture: any
-Depends: kvirc-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: libkvilib4 (= ${binary:Version}),
+ kvirc-modules (= ${binary:Version}),
+ kvirc-data (= ${source:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
 Description: KDE-based next generation IRC client with module support
  A highly configurable graphical IRC client with an MDI interface,
  built-in scripting language, support for IRC DCC, drag & drop file
@@ -29,10 +45,47 @@
  wrong choice as it is rather big. But if you want a highly customizable client
  you won't regret the installation.
 
+Package: libkvilib4
+Architecture: any
+Section: libs
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: kvirc (= ${binary:Version})
+Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
+Description: KVIrc (IRC client) base library
+ A highly configurable graphical IRC client with an MDI interface,
+ built-in scripting language, support for IRC DCC, drag & drop file
+ browsing, and much more. KVIrc uses the KDE widget set, can be extended
+ using its own scripting language, integrates with KDE, and supports
+ custom plugins.
+ .
+ This package contains the main library of KVIrc.
+
+Package: kvirc-modules
+Architecture: any
+Section: libs
+Pre-Depends: multiarch-support, ${misc:Pre-Depends}
+Depends: libkvilib4 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends: kvirc (= ${binary:Version})
+Suggests: kvirc-dbg (= ${binary:Version})
+Multi-Arch: same
+Description: KVIrc (IRC client) modules
+ A highly configurable graphical IRC client with an MDI interface,
+ built-in scripting language, support for IRC DCC, drag & drop file
+ browsing, and much more. KVIrc uses the KDE widget set, can be extended
+ using its own scripting language, integrates with KDE, and supports
+ custom plugins.
+ .
+ This package contains all modules for KVIrc.
+
 Package: kvirc-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kvirc (>= ${source:Version})
+Multi-Arch: foreign
 Description: Data files for KVIrc
  This package contains the architecture-independent data needed by KVIrc in
  order to run, such as icons and images, language files, and shell scripts.
@@ -43,7 +96,10 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: kvirc (= ${binary:Version}), ${misc:Depends}
+Depends: kvirc (= ${binary:Version}),
+ libkvilib4 (= ${binary:Version}),
+ kvirc-modules (= ${binary:Version}),
+ ${misc:Depends}
 Description: KVIrc (IRC client) debugging symbols
  A highly configurable graphical IRC client with an MDI interface,
  built-in scripting language, support for IRC DCC, drag & drop file

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # the following variable which gives us a cleaner buildd output (idea taken
 # from the mesa package).
 NOT_INSTALLED := \
-				usr/lib/libkvilib.so \
+				usr/lib/$(DEB_HOST_MULTIARCH)/libkvilib.so \
 				usr/bin/kvirc-config \
 				usr/share/kvirc/4.1/license/LICENSE-GPLV2 \
 				usr/share/kvirc/4.1/license/LICENSE-GPLV3 \
@@ -18,13 +18,14 @@
 				usr/share/pixmaps/kvirc.png # this one is installed by a symlink
 
 override_dh_auto_configure:
-	dh_auto_configure --parallel -Skde -- -DWANT_COEXISTANCE=OFF \
+	dh_auto_configure --parallel -Skde -- -DWANT_COEXISTENCE=OFF \
 			-DWANT_ESD=OFF -DWANT_OSS=OFF \
-			-DWANT_CRYPTOPP=YES -DWANT_STRIP=OFF \
+			-DWANT_STRIP=OFF \
 			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
 			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
-			-DMANUAL_REVISION=$(REV)
+			-DMANUAL_REVISION=$(REV) \
+			-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_install:
 	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
